# OpalIMManager::MessageSent_Work Class Reference

`#include <im.h>`

Inheritance diagram for OpalIMManager::MessageSent_Work:

[legend]
Collaboration diagram for OpalIMManager::MessageSent_Work:
[legend]

## Public Member Functions

| MessageSent_Work (OpalIMManager &mgr, const PString &conversationId, const OpalIMContext::MessageSentInfo &info)
virtual void | Work ()

## Data Fields

OpalIMContext::MessageSentInfo | m_info

## Constructor & Destructor Documentation

OpalIMManager::MessageSent_Work::MessageSent_Work | ( | OpalIMManager & | mgr,
|  | const PString & | conversationId,
|  | const OpalIMContext::MessageSentInfo & | info |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual void OpalIMManager::MessageSent_Work::Work | ( |  | ) | `[inline, virtual]`

Implements OpalIMManager::IM_Work.

## Field Documentation

OpalIMContext::MessageSentInfo OpalIMManager::MessageSent_Work::m_info

The documentation for this class was generated from the following file:

- im.h